xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Changes between Version 1 and Version 2 of Ticket #226


Ignore:
Timestamp:
12/22/12 07:26:08 (9 years ago)
Author:
Antoine Martin
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #226 – Description

    v1 v2  
    4343----
    4444'''pygtkglext'''
    45 The problem starts with {{{pygtkglext}}}:
    46 * again, we use the more up to date version from git:
     45The real problems start with {{{pygtkglext}}}.
     46There are two ways of building it: distutils and autotools based, none of which work.
     47Again, we use the more up to date version from git (not that the 1.1 makes any difference..):
    4748{{{
    4849git clone git://git.gnome.org/pygtkglext
    4950cd pygtkglext
    5051}}}
    51 There are two ways of building it: distutils and autotools based.
    52 * we try the distutils build with: {{{python ./setup.py install --prefix=$JHBUILD_PREFIX}}}
    53   * we first need to fix the {{{setup.py}}} to avoid this error:
     52
     53'''pygtkglext distutils'''
     54* {{{python ./setup.py install --prefix=$JHBUILD_PREFIX}}} fails with:
    5455{{{
    5556TypeError: pkgc_version_check() takes exactly 2 arguments (3 given)
     
    6162}}}
    6263(you should really check that you do have pygtk-2.0 correctly installed at this point and that you have the pkgconfig file it would normally check against, ie: {{{$JHBUILD_PREFIX/lib/pkgconfig/pygtk-2.0.pc}}})
    63   * then we get this other error:
     64* then we get this other error:
    6465{{{
    6566Traceback (most recent call last):
     
    7778        --prefix=/Users/MacAdmin/gtk/inst/
    7879}}}
    79   * then we get this error:
     80* then we get this error:
    8081{{{
    8182gtk/gdkgl/gdkglmodule.c: In function 'init_gdkgl':
     
    9596                          gdk_gl_get_micro_version());  /* gdkglext_micro_version */
    9697}}}
    97   * then we get this new build error:
     98* then we get this new build error:
    9899{{{
    99100In file included from /Users/MacAdmin/gtk/inst/include/gtk-2.0/gtk/gtk.h:234,
     
    108109GLOBAL_INC.append("/usr/X11/include")
    109110}}}
    110   * but then we get another error:
     111* but then we get another error:
    111112{{{
    112113gtk/gdkgl/gdkglext.override: In function '_wrap_gdk_gl_config_new':
     
    115116gtk/gdkgl/gdkglext.override:130: error: for each function it appears in.)
    116117}}}
     118I give up...
    117119
    118 more to come...
     120
     121'''pygtkglext autotools'''
     122It's a mess - don't go there.
     123Missing macros, out of date docs, etc.